package prometheus

import (
	"repository.basistech.ru/BASIS/decort-golang-sdk/interfaces"
)

// Structure for creating request to prometheus
type Prometheus struct {
	client interfaces.Caller
}

// Builder for prometheus endpoints
func New(client interfaces.Caller) *Prometheus {
	return &Prometheus{
		client: client,
	}
}
